from gcs_cli.commands.storage_gateway.create.activescale import activescale_create
from gcs_cli.commands.storage_gateway.create.azure_blob import azure_blob_create
from gcs_cli.commands.storage_gateway.create.blackpearl import blackpearl_create
from gcs_cli.commands.storage_gateway.create.box import box_create
from gcs_cli.commands.storage_gateway.create.ceph import ceph_create
from gcs_cli.commands.storage_gateway.create.google_cloud_storage import (
    google_cloud_storage_create,
)
from gcs_cli.commands.storage_gateway.create.google_drive import google_drive_create
from gcs_cli.commands.storage_gateway.create.hpss import hpss_create
from gcs_cli.commands.storage_gateway.create.irods import irods_create
from gcs_cli.commands.storage_gateway.create.onedrive import onedrive_create
from gcs_cli.commands.storage_gateway.create.posix import posix_create
from gcs_cli.commands.storage_gateway.create.posix_staging import posix_staging_create
from gcs_cli.commands.storage_gateway.create.s3 import s3_create
from gcs_cli.parsing import globus_group


@globus_group(name="create")
def create_command() -> None:
    """Create a Storage Gateway"""


create_command.add_command(azure_blob_create)
create_command.add_command(blackpearl_create)
create_command.add_command(ceph_create)
create_command.add_command(google_cloud_storage_create)
create_command.add_command(google_drive_create)
create_command.add_command(onedrive_create)
create_command.add_command(box_create)
create_command.add_command(posix_create)
create_command.add_command(posix_staging_create)
create_command.add_command(s3_create)
create_command.add_command(activescale_create)
create_command.add_command(irods_create)
create_command.add_command(hpss_create)
