import uuid
from typing import Any

from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command, storage_gateway_id_arg
from gcs_cli.services.gcs import get_client


@globus_command("delete", short_help="Delete an existing storage gateway")
@storage_gateway_id_arg
@requires_login
def storage_gateway_delete(storage_gateway_id: uuid.UUID, **kwargs: Any) -> None:
    """
    Delete an existing storage gateway. This requires the administrator role on the
    endpoint.
    """
    client = get_client()
    res = client.delete_storage_gateway(storage_gateway_id)
    record_print_result_message(res)
