import click

from .check import check
from .create import create
from .login import login
from .logout import logout
from .identity_mapping import identity_mapping
from .set_guest_collection_owner import set_guest_collection_owner
from .sharing_state import sharing_state
from .snapshot import snapshot
from .update import update

from ..version import __version__


@click.group("gcs-migration")
@click.version_option(version=__version__)
def main() -> None:
    pass


main.add_command(create)
main.add_command(check)
main.add_command(login)
main.add_command(logout)
main.add_command(identity_mapping)
main.add_command(set_guest_collection_owner)
main.add_command(sharing_state)
main.add_command(snapshot)
main.add_command(update)

if __name__ == "__main__":
    main()
