import marshmallow as ma

from .data_type import DataTypeSchema


class InvalidCredentialSchema(ma.Schema):
    _DATA_TYPE = "invalid_credential#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    user_credential_id = ma.fields.UUID(required=True)


invalid_credential_schema = InvalidCredentialSchema()
DataTypeSchema.register_schema(invalid_credential_schema)
