"""
globus-connect-server endpoint migrate53
"""
import os

import click
from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "migrate53",
    short_help="Migrate a Globus Connect Server v5.3",
    help="Migrate a Globus Connect Server v5.3 endpoint for use with v5.4",
    disable_options=["format", "explicit_host"],
)
@click.option(
    "--deployment-key",
    "-d",
    help="Path for deployment key configuration.",
    type=click.Path(exists=False),
    default=os.path.expanduser("~gcsweb/deployment-key.json"),
)
@click.option(
    "--owner",
    "-o",
    help="Globus username of the owner of this endpoint. This user will be "
    "granted the owner role for this endpoint.",
    required=True,
)
@click.option("--ip-address", "-i", help="IP Address of this data transfer node")
@click.option(
    "--root",
    hidden=True,
    type=click.Path(exists=True, file_okay=False, dir_okay=True),
    default="/",
)
def migrate53_command(deployment_key, owner, ip_address, root):
    from .migrate53 import migrate53_command as m53c

    m53c(deployment_key, owner, ip_address, root)
