"""
globus-connect-server node update-vhost

The globus-connect-server node update-vhost command rewrites the vhost
configuration for the GCS MAnager on the local machine, if the gcs database
indicates that the current machine has been configured.
"""
import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    "update-vhost",
    short_help="Set up a Globus Connect Server Manager vhost",
    help="Set up a Globus Connect Server Manager vhost",
    disable_options=["format", "explicit_host"],
)
@click.option(
    "--root",
    hidden=True,
    type=click.Path(exists=True, file_okay=False, dir_okay=True),
    default="/",
)
@click.option("--verbose", "-v", is_flag=True)
def node_update_vhost(root, verbose):
    from .node_update_vhost import node_update_vhost as nuv

    nuv(root, verbose)
