"""Remove OAuth state encryption secret

Revision ID: f850f76ca18c
Revises: f375c2347d13
Create Date: 2019-12-06 14:18:48.865434

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f850f76ca18c'
down_revision = 'f375c2347d13'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()
    sql = sa.text(
        "delete from configuration "
        " where name = :name")

    conn.execute(sql, name='secret')


def downgrade():
    conn = op.get_bind()
    sql = sa.text(
        "insert into configuration(name, value, created_at, updated_at) "
        " values('secret', :secret, :now, :now)")

    conn.execute(sql,
                 secret=uuid.uuid4().hex,
                 now=str(datetime.utcnow()))
